org.apache.maven.scm.provider.git.gitexe.command.branch

## Class GitCurrentBranchConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.git.gitexe.command.branch.GitCurrentBranchConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class GitCurrentBranchConsumer
    extends AbstractConsumer

This logger parses the output of git symbolic-ref HEAD to determine the current branch.

Version:
  $Id: GitCurrentBranchConsumer.java 823147 2009-10-08 12:39:23Z struberg $
Author:
  Mark Struberg

### Constructor Summary

Constructors
Constructor and Description
`GitCurrentBranchConsumer(ScmLogger logger)` Default constructor.

### Method Summary

Methods
`void` `consumeLine(String line)`
`String` `getBranchName()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitCurrentBranchConsumer

    public GitCurrentBranchConsumer(ScmLogger logger)

Default constructor.

### Method Detail

#### getBranchName

    public String getBranchName()

#### consumeLine

    public void consumeLine(String line)